
/* Light mode syntax highlighting */
.highlight table td { padding: 5px; }
.highlight table pre { margin: 0; }
.highlight .cm {
  color: #999988;
  font-style: italic;
}
.highlight .cp {
  color: #999999;
  font-weight: bold;
}
.highlight .c1 {
  color: #999988;
  font-style: italic;
}
.highlight .cs {
  color: #999999;
  font-weight: bold;
  font-style: italic;
}
.highlight .c, .highlight .ch, .highlight .cd, .highlight .cpf {
  color: #999988;
  font-style: italic;
}
.highlight .err {
  color: #a61717;
  background-color: #e3d2d2;
}
.highlight .gd {
  color: #000000;
  background-color: #ffdddd;
}
.highlight .ge {
  color: #000000;
  font-style: italic;
}
.highlight .gr {
  color: #aa0000;
}
.highlight .gh {
  color: #999999;
}
.highlight .gi {
  color: #000000;
  background-color: #ddffdd;
}
.highlight .go {
  color: #888888;
}
.highlight .gp {
  color: #555555;
}
.highlight .gs {
  font-weight: bold;
}
.highlight .gu {
  color: #aaaaaa;
}
.highlight .gt {
  color: #aa0000;
}
.highlight .kc {
  color: #000000;
  font-weight: bold;
}
.highlight .kd {
  color: #000000;
  font-weight: bold;
}
.highlight .kn {
  color: #000000;
  font-weight: bold;
}
.highlight .kp {
  color: #000000;
  font-weight: bold;
}
.highlight .kr {
  color: #000000;
  font-weight: bold;
}
.highlight .kt {
  color: #445588;
  font-weight: bold;
}
.highlight .k, .highlight .kv {
  color: #000000;
  font-weight: bold;
}
.highlight .mf {
  color: #009999;
}
.highlight .mh {
  color: #009999;
}
.highlight .il {
  color: #009999;
}
.highlight .mi {
  color: #009999;
}
.highlight .mo {
  color: #009999;
}
.highlight .m, .highlight .mb, .highlight .mx {
  color: #009999;
}
.highlight .sa {
  color: #000000;
  font-weight: bold;
}
.highlight .sb {
  color: #d14;
}
.highlight .sc {
  color: #d14;
}
.highlight .sd {
  color: #d14;
}
.highlight .s2 {
  color: #d14;
}
.highlight .se {
  color: #d14;
}
.highlight .sh {
  color: #d14;
}
.highlight .si {
  color: #d14;
}
.highlight .sx {
  color: #d14;
}
.highlight .sr {
  color: #009926;
}
.highlight .s1 {
  color: #d14;
}
.highlight .ss {
  color: #990073;
}
.highlight .s, .highlight .dl {
  color: #d14;
}
.highlight .na {
  color: #008080;
}
.highlight .bp {
  color: #999999;
}
.highlight .nb {
  color: #0086B3;
}
.highlight .nc {
  color: #445588;
  font-weight: bold;
}
.highlight .no {
  color: #008080;
}
.highlight .nd {
  color: #3c5d5d;
  font-weight: bold;
}
.highlight .ni {
  color: #800080;
}
.highlight .ne {
  color: #990000;
  font-weight: bold;
}
.highlight .nf, .highlight .fm {
  color: #990000;
  font-weight: bold;
}
.highlight .nl {
  color: #990000;
  font-weight: bold;
}
.highlight .nn {
  color: #555555;
}
.highlight .nt {
  color: #000080;
}
.highlight .vc {
  color: #008080;
}
.highlight .vg {
  color: #008080;
}
.highlight .vi {
  color: #008080;
}
.highlight .nv, .highlight .vm {
  color: #008080;
}
.highlight .ow {
  color: #000000;
  font-weight: bold;
}
.highlight .o {
  color: #000000;
  font-weight: bold;
}
.highlight .w {
  color: #bbbbbb;
}
.highlight {
  background-color: #f8f8f8;
}

/* Dark mode syntax highlighting */
.dark .highlight table td { padding: 5px; }
.dark .highlight table pre { margin: 0; }
.dark .highlight .gh {
  color: #999999;
}
.dark .highlight .sr {
  color: #f6aa11;
}
.dark .highlight .go {
  color: #888888;
}
.dark .highlight .gp {
  color: #555555;
}
.dark .highlight .gs {
}
.dark .highlight .gu {
  color: #aaaaaa;
}
.dark .highlight .nb {
  color: #f6aa11;
}
.dark .highlight .cm {
  color: #75715e;
}
.dark .highlight .cp {
  color: #75715e;
}
.dark .highlight .c1 {
  color: #75715e;
}
.dark .highlight .cs {
  color: #75715e;
}
.dark .highlight .c, .dark .highlight .ch, .dark .highlight .cd, .dark .highlight .cpf {
  color: #75715e;
}
.dark .highlight .err {
  color: #960050;
}
.dark .highlight .gr {
  color: #960050;
}
.dark .highlight .gt {
  color: #960050;
}
.dark .highlight .gd {
  color: #49483e;
}
.dark .highlight .gi {
  color: #49483e;
}
.dark .highlight .ge {
  color: #49483e;
}
.dark .highlight .kc {
  color: #66d9ef;
}
.dark .highlight .kd {
  color: #66d9ef;
}
.dark .highlight .kr {
  color: #66d9ef;
}
.dark .highlight .no {
  color: #66d9ef;
}
.dark .highlight .kt {
  color: #66d9ef;
}
.dark .highlight .mf {
  color: #ae81ff;
}
.dark .highlight .mh {
  color: #ae81ff;
}
.dark .highlight .il {
  color: #ae81ff;
}
.dark .highlight .mi {
  color: #ae81ff;
}
.dark .highlight .mo {
  color: #ae81ff;
}
.dark .highlight .m, .dark .highlight .mb, .dark .highlight .mx {
  color: #ae81ff;
}
.dark .highlight .sc {
  color: #ae81ff;
}
.dark .highlight .se {
  color: #ae81ff;
}
.dark .highlight .ss {
  color: #ae81ff;
}
.dark .highlight .sd {
  color: #e6db74;
}
.dark .highlight .s2 {
  color: #e6db74;
}
.dark .highlight .sb {
  color: #e6db74;
}
.dark .highlight .sh {
  color: #e6db74;
}
.dark .highlight .si {
  color: #e6db74;
}
.dark .highlight .sx {
  color: #e6db74;
}
.dark .highlight .s1 {
  color: #e6db74;
}
.dark .highlight .s, .dark .highlight .sa, .dark .highlight .dl {
  color: #e6db74;
}
.dark .highlight .na {
  color: #a6e22e;
}
.dark .highlight .nc {
  color: #a6e22e;
}
.dark .highlight .nd {
  color: #a6e22e;
}
.dark .highlight .ne {
  color: #a6e22e;
}
.dark .highlight .nf, .dark .highlight .fm {
  color: #a6e22e;
}
.dark .highlight .vc {
  color: #ffffff;
  background-color: #272822;
}
.dark .highlight .nn {
  color: #ffffff;
  background-color: #272822;
}
.dark .highlight .nl {
  color: #ffffff;
  background-color: #272822;
}
.dark .highlight .ni {
  color: #ffffff;
  background-color: #272822;
}
.dark .highlight .bp {
  color: #ffffff;
  background-color: #272822;
}
.dark .highlight .vg {
  color: #ffffff;
  background-color: #272822;
}
.dark .highlight .vi {
  color: #ffffff;
  background-color: #272822;
}
.dark .highlight .nv, .dark .highlight .vm {
  color: #ffffff;
  background-color: #272822;
}
.dark .highlight .w {
  color: #ffffff;
  background-color: #272822;
}
.dark .highlight {
  color: #ffffff;
  background-color: #272822;
}
.dark .highlight .n, .dark .highlight .py, .dark .highlight .nx {
  color: #ffffff;
  background-color: #272822;
}
.dark .highlight .ow {
  color: #f92672;
}
.dark .highlight .nt {
  color: #f92672;
}
.dark .highlight .k, .dark .highlight .kv {
  color: #f92672;
}
.dark .highlight .kn {
  color: #f92672;
}
.dark .highlight .kp {
  color: #f92672;
}
.dark .highlight .o {
  color: #f92672;
}